org.hibernate.validator.internal.xml

## Class BootstrapConfigurationImpl

- java.lang.Object
- - org.hibernate.validator.internal.xml.BootstrapConfigurationImpl

- All Implemented Interfaces:
    BootstrapConfiguration

      public class BootstrapConfigurationImpl
      extends Object
      implements BootstrapConfiguration

  Wrapper class for the bootstrap parameters defined in validation.xml
  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BootstrapConfigurationImpl(String defaultProviderClassName, String constraintValidatorFactoryClassName, String messageInterpolatorClassName, String traversableResolverClassName, String parameterNameProviderClassName, EnumSet<ExecutableType> validatedExecutableTypes, boolean isExecutableValidationEnabled, Set<String> constraintMappingResourcePaths, Map<String,String> properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getConstraintMappingResourcePaths()`
    `String` | `getConstraintValidatorFactoryClassName()`
    `static BootstrapConfiguration` | `getDefaultBootstrapConfiguration()`
    `String` | `getDefaultProviderClassName()`
    `Set<ExecutableType>` | `getDefaultValidatedExecutableTypes()`
    `String` | `getMessageInterpolatorClassName()`
    `String` | `getParameterNameProviderClassName()`
    `Map<String,String>` | `getProperties()`
    `String` | `getTraversableResolverClassName()`
    `boolean` | `isExecutableValidationEnabled()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BootstrapConfigurationImpl

          public BootstrapConfigurationImpl(String defaultProviderClassName,
                                    String constraintValidatorFactoryClassName,
                                    String messageInterpolatorClassName,
                                    String traversableResolverClassName,
                                    String parameterNameProviderClassName,
                                    EnumSet<ExecutableType> validatedExecutableTypes,
                                    boolean isExecutableValidationEnabled,
                                    Set<String> constraintMappingResourcePaths,
                                    Map<String,String> properties)

  - ### Method Detail

    - #### getDefaultBootstrapConfiguration

          public static BootstrapConfiguration getDefaultBootstrapConfiguration()

    - #### getDefaultProviderClassName

          public String getDefaultProviderClassName()

      Specified by:
        `getDefaultProviderClassName` in interface `BootstrapConfiguration`

    - #### getConstraintValidatorFactoryClassName

          public String getConstraintValidatorFactoryClassName()

      Specified by:
        `getConstraintValidatorFactoryClassName` in interface `BootstrapConfiguration`

    - #### getMessageInterpolatorClassName

          public String getMessageInterpolatorClassName()

      Specified by:
        `getMessageInterpolatorClassName` in interface `BootstrapConfiguration`

    - #### getTraversableResolverClassName

          public String getTraversableResolverClassName()

      Specified by:
        `getTraversableResolverClassName` in interface `BootstrapConfiguration`

    - #### getParameterNameProviderClassName

          public String getParameterNameProviderClassName()

      Specified by:
        `getParameterNameProviderClassName` in interface `BootstrapConfiguration`

    - #### getConstraintMappingResourcePaths

          public Set<String> getConstraintMappingResourcePaths()

      Specified by:
        `getConstraintMappingResourcePaths` in interface `BootstrapConfiguration`

    - #### isExecutableValidationEnabled

          public boolean isExecutableValidationEnabled()

      Specified by:
        `isExecutableValidationEnabled` in interface `BootstrapConfiguration`

    - #### getDefaultValidatedExecutableTypes

          public Set<ExecutableType> getDefaultValidatedExecutableTypes()

      Specified by:
        `getDefaultValidatedExecutableTypes` in interface `BootstrapConfiguration`

    - #### getProperties

          public Map<String,String> getProperties()

      Specified by:
        `getProperties` in interface `BootstrapConfiguration`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved